# Music

### JSON structure

```json
{
    "music": [
        {
            "offset": 14,
            "played_duration": 5,
            "type": "traverse",
            "result": {
                "album": {
                    "name": "my ex called"
                },
                "play_offset_ms": 6440,
                "sample_begin_time_offset_ms": 4260,
                "title": "my ex called",
                "result_from": 3,
                "release_date": "2020-02-21",
                "sample_end_time_offset_ms": 8860,
                "label": "Thrill$",
                "db_end_time_offset_ms": 4600,
                "score": 100,
                "db_begin_time_offset_ms": 0,
                "artists": [
                    {
                        "name": "Thrill$"
                    }
                ],
                "duration_ms": 168920,
                "external_ids": {
                    "isrc": "QZJG52083365",
                    "upc": "194923628486"
                },
                "acrid": "269e27604f4be4c3167fc3751f5551c3",
                "external_metadata": {
                    "deezer": {
                        "album": {
                            "name": ""
                        },
                        "track": {
                            "name": "Havit",
                            "id": "1098021672"
                        },
                        "artists": [
                            {
                                "name": "Of_mannyg"
                            }
                        ]
                    }
                }
            }
        },
        {
            "offset": 24,
            "played_duration": 14,
            "type": "traverse",
            "result": {
                "album": {
                    "name": "Lost Files"
                },
                "play_offset_ms": 5340,
                "sample_begin_time_offset_ms": 4080,
                "title": "In the Streets",
                "result_from": 1,
                "release_date": "2020-10-26",
                "sample_end_time_offset_ms": 9260,
                "label": "Hitta Huncho",
                "db_end_time_offset_ms": 5180,
                "score": 100,
                "db_begin_time_offset_ms": 0,
                "artists": [
                    {
                        "name": "Hitta Huncho"
                    }
                ],
                "duration_ms": 160940,
                "external_ids": {
                    "isrc": "TCAFE2056515",
                    "upc": "859742903298"
                },
                "acrid": "e63ee358a9357a1e181cd8ce858d78fd",
                "external_metadata": {
                    "deezer": {
                        "album": {
                            "name": ""
                        },
                        "track": {
                            "name": "In the Streets",
                            "id": "1131507852"
                        },
                        "artists": [
                            {
                                "name": "Hitta Huncho"
                            }
                        ]
                    }
                }
            }
        },
        {
            "offset": 30,
            "played_duration": 209,
            "type": "traverse",
            "result": {
                "album": {
                    "name": "Destined 2 Win"
                },
                "play_offset_ms": 25880,
                "sample_begin_time_offset_ms": 0,
                "title": "Love Hurts",
                "result_from": 1,
                "release_date": "2021-04-02",
                "sample_end_time_offset_ms": 8200,
                "genres": [
                    {
                        "name": "Hip Hop"
                    }
                ],
                "label": "Columbia",
                "db_end_time_offset_ms": 24100,
                "score": 100,
                "db_begin_time_offset_ms": 15900,
                "artists": [
                    {
                        "name": "Lil Tjay"
                    }
                ],
                "duration_ms": 222100,
                "external_ids": {
                    "isrc": "USSM12101539",
                    "upc": "886449173587"
                },
                "acrid": "d981bc8a8a55b06d15d5ea0f4957873c",
                "external_metadata": {
                    "spotify": {
                        "album": {
                            "name": "Destined 2 Win"
                        },
                        "track": {
                            "name": "Love Hurts (feat. Toosii)",
                            "id": "2ULQtFHTzUK0DqcqWUlXxw"
                        },
                        "artists": [
                            {
                                "name": "Lil Tjay"
                            },
                            {
                                "name": "Toosii"
                            }
                        ]
                    }
                }
            }
        }
    ]
}
```

### Metadata fields

| Name                            | Description                                                                                                                                                                                                       |
| ------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| music                           | Music fields                                                                                                                                                                                                      |
| acrid                           | ACRCloud unique identifier                                                                                                                                                                                        |
| timestamp\_utc                  | Server time of sending results, Timestamp of the song started for custom monitoring, UTC time zone                                                                                                                |
| title                           | Track title                                                                                                                                                                                                       |
| album                           | Album fields                                                                                                                                                                                                      |
| id                              | Identifier of the artists , album or 3rd parties fields                                                                                                                                                           |
| name                            | Name of the artists or album                                                                                                                                                                                      |
| artists                         | Artists fields                                                                                                                                                                                                    |
| duration\_ms                    | Duration of the track in millisecond                                                                                                                                                                              |
| play\_offset\_ms                | The time position of the audio/song being played (millisecond)                                                                                                                                                    |
| external\_ids                   | External standard code                                                                                                                                                                                            |
| isrc                            | ISRC code                                                                                                                                                                                                         |
| upc                             | UPC code                                                                                                                                                                                                          |
| external\_metadata              | External 3rd party IDs and metadata                                                                                                                                                                               |
| track                           | Track fields                                                                                                                                                                                                      |
| genres                          | Genres fields                                                                                                                                                                                                     |
| label                           | Music label name                                                                                                                                                                                                  |
| release\_date                   | Release data of the track, format:YYYY-MM-DD                                                                                                                                                                      |
| spotify                         | Spotify fields                                                                                                                                                                                                    |
| deezer                          | Deezer fields                                                                                                                                                                                                     |
| lyricfind                       | LyricFind fields                                                                                                                                                                                                  |
| lfid                            | LyricsFind's lyric ID                                                                                                                                                                                             |
| youtube                         | YouTube fields                                                                                                                                                                                                    |
| vid                             | Youtube video ID                                                                                                                                                                                                  |
| musicbrainz                     | MusicBrainz Identifier - MBID                                                                                                                                                                                     |
| db\_begin\_time\_offset\_ms     | Position of beginning of the recognition on database file (millisecond)                                                                                                                                           |
| db\_end\_time\_offset\_ms       | Position of end of the recognition on database file (millisecond)                                                                                                                                                 |
| sample\_begin\_time\_offset\_ms | Position of beginning of the recognition in sample file sent by SDK/API (millisecond)                                                                                                                             |
| sample\_end\_time\_offset\_ms   | Position of end of the recognition in sample file sent by SDK/API (millisecond)                                                                                                                                   |
| played\_duration                | Actual duration of the track played in the streams for Broadcast Monitoring service, in second                                                                                                                    |
| score                           | Match confidence score. Range: 70 - 100                                                                                                                                                                           |
| +contributors                   | Contributor information for this track                                                                                                                                                                            |
| +composers                      | Composers of the song                                                                                                                                                                                             |
| +lyricists                      | Writers of the lyrics                                                                                                                                                                                             |
| language                        | Language of the song, ISO 639-1 codes                                                                                                                                                                             |
| langs                           | Translation into different languages. Example: \[{"code":"ru", "name":"Я твой враг"}]                                                                                                                             |
| #rights\_claim                  | All relevant metadata fields to determine rights owners, available territories and rights claim policy for UGC platforms. These metadata fields are for copyright compliance users only.                          |
| #distributor                    | Information of distributor for this track                                                                                                                                                                         |
| #id                             | DDEX Party ID of the distributor, this ID won't change.                                                                                                                                                           |
| #name                           | Name of the distributor, This name might be changing from time to time.                                                                                                                                           |
| #rights\_claim\_policy          | Right policy for UGC platforms, the value options are "Monetize", "Allow", "ReportUsage" and "BlockAccess".                                                                                                       |
| #rights\_owners                 | Rights owners' name, example: \[{"name":"Warner Music Group", "share\_percentage":100}]                                                                                                                           |
| #territories                    | Territory codes for Included territories, ISO country codes applied.                                                                                                                                              |
| #excluded\_territories          | Territory codes for excluded territories, ISO country codes applied.                                                                                                                                              |
| #share\_percentage              | Percentage of the rights share for each rights owners.                                                                                                                                                            |
| #release\_by\_territories       | Release details by territories, indicate the release date for territories.                                                                                                                                        |
| +work                           | Publishing metadata fields for works                                                                                                                                                                              |
| +ISWC                           | ISWC code                                                                                                                                                                                                         |
| +name                           | Name of the work                                                                                                                                                                                                  |
| +creators                       | The creators of the work                                                                                                                                                                                          |
| +ipi                            | IPI code for the creator                                                                                                                                                                                          |
| +roles                          | The roles of the creator                                                                                                                                                                                          |
| time\_skew                      | Time skew refers to a temporal misalignment or timing offset between two audio signals. It means that the audio events (such as beats, notes, or spectral features) occur earlier or later in time than expected. |
| frequency\_skew                 | Frequency skew refers to a distortion in the frequency domain, where the spectral components of the audio are shifted upward or downward in frequency.                                                            |

{% hint style="info" %}
**Please note: Only&#x20;*****ACRID,*** ***Track Title, Artists Name, Album Name*****&#x20;and \*\_time\_offset\_ms fields are required, other fields are optional.**

\#fields are visible for the projects with copyright compliance option only.

+fields are visible upon request, please contact us if you need those fields.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acrcloud.com/reference/console-api/file-scanning/metadata/music.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
